astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- GeocentricTrueEcliptic

# GeocentricTrueEcliptic

class `astropy.coordinates.``GeocentricTrueEcliptic`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  Geocentric ecliptic coordinates. These origin of the coordinates are the geocenter (Earth), with the x axis pointing to the true (not mean) equinox at the time specified by the `equinox` attribute, and the xy-plane in the plane of the ecliptic for that date.

  Be aware that the definition of “geocentric” here means that this frame includes light deflection from the sun, aberration, etc when transforming to/from e.g. ICRS.

  This frame has one frame attribute:

  - `equinox`

      The date to assume for this frame. Determines the location of the x-axis and the location of the Earth (necessary for transformation to non-geocentric systems).

  Warning

  In the current version of astropy, the ecliptic frames do not yet have stringent accuracy tests. We recommend you test to “known-good” cases to ensure this frames are what you are looking for. (and then ideally you would contribute these tests to Astropy!)

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  lon : `Angle`, optional, must be keyword

  > The ecliptic longitude for this object (`lat` must also be given and `representation` must be None).

  lat : `Angle`, optional, must be keyword

  > The ecliptic latitude for this object (`lon` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object from the geocenter. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `equinox` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |

  Attributes Documentation

  `default_representation`
  `equinox` = <Time object: scale='utc' format='jyear_str' value=J2000.000>
  `frame_attributes` = OrderedDict([('equinox', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a458450>)])
  `frame_specific_representation_info`
  `name` = 'geocentrictrueecliptic'